<?php

namespace app\modules\Admitcard\controllers;


use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use Yii;
use Mpdf\Mpdf;
use yii\base\InvalidArgumentException;
use yii\web\BadRequestHttpException;
use yii\filters\AccessControl;
use common\models\User;
use yii\helpers\ArrayHelper;
use PhpParser\Node\Expr\Print_;
use yii\bootstrap5\ActiveForm;
use yii\helpers\Url;
use app\modules\Admitcard\models\Admitcard;
use yii\web\Session;
use yii\db\Query;
use yii\base\DynamicModel;

class AdmitcardController extends \yii\web\Controller
{
    
    public function actions()
    {
        return [
            'error' => [
                'class' => \yii\web\ErrorAction::class,
            ],
            'captcha' => [
                'class' => \yii\captcha\CaptchaAction::class,
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }


    public function actionIndex()
    {

        
        $session = Yii::$app->session;
        if (isset(yii::$app->params['isMobileOTP']) and yii::$app->params['isMobileOTP'] == 1) {
            $AccessPermission = $session->get('AccessPermissionAdmit');
            if (empty($AccessPermission)) {
                return $this->redirect('admitcardmobile');
            }
        }

        $model = new Admitcard();
        //day name
        for ($i = 1; $i <= 31; $i++) {
            $DobDate[str_pad($i, 2, '0', STR_PAD_LEFT)] = str_pad($i, 2, '0', STR_PAD_LEFT);
        }
        //month name
        for ($m = 1; $m <= 12; ++$m) {
            $DobMonth[str_pad($m, 2, '0', STR_PAD_LEFT)] = date('F', mktime(0, 0, 0, $m, 1));
        }
        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-3 year");
        $MinYear = date('Y', ($examDate));
        $examDate = strtotime(date('Y-m-d', strtotime(yii::$app->params['examStartDate'])) . "-94 year");
        $MaxYear = date('Y', ($examDate));
        $DobYear = array();
        for ($year = $MaxYear; $year <= $MinYear; $year++) {
            $DobYear[$year] = $year;
        }

        if ($this->request->isPost) {
            if ($model->load(Yii::$app->request->post()) && $model->validate()) {
                $data = Yii::$app->request->post();
                foreach ($data['Admitcard'] as $key => $value) {
                    $data['Admitcard']["$key"] = Yii::$app->SanatizeInput->getInput($value);
                }

                // echo "<pre>"; print_r($data); die();


                if (isset($data['Admitcard']['Day'], $data['Admitcard']['Month'], $data['Admitcard']['Year']) && !empty($data['Admitcard']['Day']) && !empty($data['Admitcard']['Month']) && !empty($data['Admitcard']['Year'])) {
                    $Day = $data['Admitcard']['Day'];
                    $Month = $data['Admitcard']['Month'];
                    $Year = $data['Admitcard']['Year'];
                    $candiDOB = $Year . '-' . $Month . '-' . $Day;
                    $DOB = trim($candiDOB);
                    $model_data = [];

                   

                    $session->set('ApplicationNumberAdmit', $data['Admitcard']['ApplicationNumber']);
                    
                    if (!empty($data['Admitcard']['ApplicationNumber'])) {
                        $candiApplicationNo = "APPNO='" . $data['Admitcard']['ApplicationNumber'] . "'";
                        $model_data = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                            ->bindValue(':select', 'A.*,S.CENT_STATE,S.CENT_CITY,S.CENT_NAME,S.CENT_ADDR')
                            ->bindValue(':input', "INNER JOIN SainikSchoolCenterMasterTbl as S ON 
                            A.CENTNO = S.CENTNO WHERE $candiApplicationNo AND DOB='$DOB'")
                            ->bindValue(':table', 'SainikSchoolAdmitCardTbl as A')
                            ->queryAll();
                           
                            // echo"<pre>";print_r($model_data);die;
                            
                            if (isset($model_data) && !empty($model_data)) {


                                if(isset($model_data[0]['CLASS']) && !empty($model_data[0]['CLASS']) && ($model_data[0]['CLASS'] =='Class VI') ){

                                    $session = Yii::$app->session;
                                    $candiApplicationNo=$session->get('ApplicationNumberAdmit');
                                    $this->CustomLog($candiApplicationNo,'Admit-Card-View VI','View');
                                    
                                    return $this->render('admitcard_preview_VI', [
                                        'model_data' => $model_data,
                                    ]);

                                }else{

                                    $session = Yii::$app->session;
                                    $candiApplicationNo=$session->get('ApplicationNumberAdmit');
                                    $this->CustomLog($candiApplicationNo,'Admit-Card-View IX','View');

                                    return $this->render('admitcard_preview_IX', [
                                        'model_data' => $model_data,
                                    ]);

                                }
                               
                            }else if (empty($model_data)) {
                                Yii::$app->session->setFlash('error', 'Data not found.');
                                return $this->redirect('index');
                            }

                    }else if (empty($model_data)) {
                        Yii::$app->session->setFlash('error', 'Please Check your login Details.');
                        return $this->redirect('index');
                    }
                }else if (empty($model_data)) {
                    Yii::$app->session->setFlash('error', 'Please Check your login Details.');
                    return $this->redirect('index');
                }
            }
        }
        return $this->render('index', [
            'model' => $model,
            'DobDate'   => $DobDate,
            'DobMonth'   => $DobMonth,
            'DobYear'   =>  $DobYear
        ]);
    }
    
    
    public function actionAdmitcardmobile()
    {
        if(isset(yii::$app->params['isMobileOTP']) and yii::$app->params['isMobileOTP']==0){
            return $this->redirect('index');
         }  
        $session = Yii::$app->session;
        $session->remove('mobilenumberAdmit');
        $model = new DynamicModel(['MobileNumber']);
        $model->addRule(['MobileNumber'], 'required', ['message' => 'Mobile Number cannot be blank.'])
            ->addRule('MobileNumber', 'integer')
            ->addRule(['MobileOtp', 'MobileNumberotp'], 'safe');    // Optional, safe field
        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            $data = Yii::$app->request->post();
            $MobileNumber = $data['DynamicModel']['MobileNumber'];
            // $arrayMobile=['8103889020'];
            $arrayMobile =   yii::$app->params['arrayMobile'];          // $model_data = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
            //     ->bindValue(':select', '*')
            //     ->bindValue(':input', "WHERE MobileNo='$MobileNumber'")
            //     ->bindValue(':table', 'MobileLoginOtp')
            //     ->queryOne();

            if (in_array($MobileNumber, $arrayMobile)) {
                // if ($model_data) {

                $digits = 4;
                $Motp =  rand(pow(10, $digits - 1), pow(10, $digits) - 1);
                $ExpTime = date("Y-m-d H:i:s", strtotime(date("Y-m-d H:i:s") . " +1440 minutes"));
                $MobileOtp =  $Motp;
                $OtpExpireDate = $ExpTime;
                $MobileVerify = 1;
                $CreateDate = date('Y-m-d H:i:s');
                //  echo "<pre>";print_r($MobileNumber) ;die;                
                Yii::$app->db->createCommand("UPDATE user_otp_verifications set MobileVerify=0 where Mobile=$MobileNumber")->execute();
                $sql = "INSERT INTO user_otp_verifications (MobileOtp,MobileVerify, Mobile)
                        VALUES (:MobileOtp,:MobileVerify, :Mobile)";
                $command = Yii::$app->db->createCommand($sql);
                $command->bindValue(':MobileOtp', $MobileOtp);
                $command->bindValue(':MobileVerify', $MobileVerify);
                $command->bindValue(':Mobile', $MobileNumber);
                $command->execute();
                $var = $MobileOtp;

                $message = "Dear Candidate, Your OTP is $var NTA";
                $mobileno = $MobileNumber;
                $temp = yii::$app->params['OTPSMSTemplate'];
                $data = Yii::$app->SmsComponent->NewSmsAPIGet($mobileno, $message, $temp, true);
                $session = Yii::$app->session;
                $session->set('mobilenumberAdmit', $MobileNumber);
                Yii::$app->session->setFlash('success', 'OTP Send successful');
                return $this->redirect('verifyotp');
            } else {

                Yii::$app->session->setFlash('error', 'Sorry, Record not found');
                return $this->redirect('admitcardmobile');
            }
        }

        return $this->render('admitcard_mobile', [
            'model' => $model,
        ]);
    }

    public function actionVerifyotp()
    {
        if(isset(yii::$app->params['isMobileOTP']) and yii::$app->params['isMobileOTP']==0){
            return $this->redirect('index');
         }  
        $session = Yii::$app->session;
        $mobilenumber = $session->get('mobilenumberAdmit');
        if (empty($mobilenumber)) {
            return $this->redirect('admitcardmobile');
        }
        $modelotp = new DynamicModel(['MobileOtp']);
        $modelotp->addRule(['MobileOtp'], 'required', ['message' => 'Mobile OTP cannot be blank.'])
            ->addRule('MobileOtp', 'integer');

        if ($modelotp->load(Yii::$app->request->post()) && $modelotp->validate()) {

            $data = Yii::$app->request->post();
            $MobileOtp = $data['DynamicModel']['MobileOtp'];
            $mobilenumber = $session->get('mobilenumberAdmit');
            $getData = Yii::$app->db->createCommand("exec getCommonDataSP :select, :input, :table")
                ->bindValue(':select', '*')
                ->bindValue(':input', "WHERE MobileVerify=1 and MobileOtp='" . $MobileOtp . "' and Mobile='" . $mobilenumber . "' ")
                ->bindValue(':table', 'user_otp_verifications')
                ->queryOne();
            if (!empty($getData)) {

                if (Yii::$app->db->createCommand("UPDATE user_otp_verifications set MobileVerify=0 where Mobile=$mobilenumber")->execute()) {
                    $session->set('AccessPermissionAdmit', $mobilenumber);
                    return $this->redirect('index');
                }
            } else {
                Yii::$app->session->setFlash('error', 'Invalid OTP');
                return $this->redirect('verifyotp');
            }
        }

        return $this->render('admitcard_mobile_verify', [
            'modelotp' => $modelotp,
        ]);
    }
    
   
     function CustomLog ($ApplicationNumber,$Message,$type)
    {
        $userAgent = Yii::$app->request->userAgent;
        $browserInfo = $this->getBrowserInfo($userAgent);
        $deviceType = $this->getDeviceType($userAgent);
        $dbName= Yii::$app->session->get('DB');

       $data = Yii::$app->db->createCommand("exec spAdmitCardLog :ApplicationNumber,:CandidateIP,:CandidateDownload,:actiontype,:devicetype,:browserinfo")
            ->bindValue(':ApplicationNumber', $ApplicationNumber)
            ->bindValue(':CandidateIP', Yii::$app->request->getUserIP())
            ->bindValue(':CandidateDownload', $Message)
            ->bindValue(':actiontype', $type)
            ->bindValue(':devicetype', $deviceType)
            ->bindValue(':browserinfo', $browserInfo)
            ->execute();

           
    }
    
    public function actionPrintDownload()
    {  

        $session = Yii::$app->session;
        $candiApplicationNo =$session->get('ApplicationNumberAdmit');
       
        $this->CustomLog($candiApplicationNo,'Admit-Card-Download VI ','Download');

        return json_encode(['success' => true, 'message' => 'Action completed']);
      
    }

    public function actionPrintAdmit()
    {  

        $session = Yii::$app->session;
        $candiApplicationNo =$session->get('ApplicationNumberAdmit');
       
        $this->CustomLog($candiApplicationNo,'Admit-Card-Download IX ','Download');

        return json_encode(['success' => true, 'message' => 'Action completed']);
      
    }
    function getBrowserInfo($userAgent)
    {
        // Check for Microsoft Edge (Chromium-based)
        if (preg_match('/Edg/i', $userAgent)) {
            return 'Microsoft Edge';
        } elseif (preg_match('/MSIE/i', $userAgent)) {
            return 'Internet Explorer';
        } elseif (preg_match('/Firefox/i', $userAgent)) {
            return 'Firefox';
        } elseif (preg_match('/Chrome/i', $userAgent)) {
            return 'Chrome';
        } elseif (preg_match('/Safari/i', $userAgent)) {
            return 'Safari';
        } elseif (preg_match('/Opera/i', $userAgent)) {
            return 'Opera';
        } else {
            return 'Other';
        }
    }

    function getDeviceType($userAgent)
    {
        if (preg_match('/mobile/i', $userAgent)) {
            return 'mobile';
        } elseif (preg_match('/tablet/i', $userAgent)) {
            return 'tablet';
        } else {
            return 'desktop';
        }
    }
}
