<?php

use yii\bootstrap5\Html;
use yii\bootstrap5\ActiveForm;
use yii\captcha\Captcha;
use yii\helpers\Url;
use edwinhaq\simpleloading\SimpleLoading;

SimpleLoading::widget();

$this->title = 'NTA - National Testing Agency';

/** @var yii\web\View $this */
/** @var app\modules\registration\models\Registration $model */
/** @var yii\widgets\ActiveForm $form */
?>
<style>
    .justify-content-center {
        margin-bottom: 0px !important;
    }

    .text-upper {
        text-transform: uppercase
    }
    .footer{
        position: fixed;
        bottom: 0px;
        left: 0px;
        right: 0px;
        margin-bottom: 0px;
    }
</style>

<!-- <div class="content-body"> -->
<?php $form = ActiveForm::begin(['id' => 'registration-form', 'options' => ['autocomplete' => 'off'],'action' => ['admitcard/verifyotp']]); ?>
<div class="card card-white mb-4">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-normal text-head-color head-color"><i class="fa fa-edit"></i>Admit Card</h6>
    </div>

    <div class="card-body">
        <div class="row">
            <div class="col-sm-6 offset-4">
                <?php if (Yii::$app->session->hasFlash('advSuccess')){ ?>
                    <div class=" pt-1 pb-1 alert alert-success" align="center">
                        <?= Yii::$app->session->getFlash('advSuccess') ?>
                    </div>
                <?php }else if (Yii::$app->session->hasFlash('error')){ ?>
                    <div class="alert  pt-1 pb-1 alert-danger" align="center">
                        <?= Yii::$app->session->getFlash('error') ?>.
                        <button type="button" class="btn-close" data-bs-dismiss="alert" style="font-size:12px;float:right;margin:-16px;"></button>
                    </div>
                <?php } ?>
            </div>
        </div>
        
        <div class="row mb-3">
            <label class="col-sm-4 text-end col-form-label required-asterisk">Mobile Otp</label>
            <div class="col-sm-6">
                <?= $form->field($modelotp, 'MobileOtp')
                    ->textInput([
                        'autofocus' => true,
                        'maxlength' => true,
                        'class' => "form-control form-control-sm",
                        'Placeholder'=>'Enter OTP'
                    ])->label(false) ?>
            </div>
        </div>
        
        <div class="row mb-5">
            <div class="col-sm-5 offset-4">
                <?= Html::submitButton('<i class="ri-save-line float-start me-1"></i> Submit', ['class' => 'btn btn-sm btn-success active bt-bgc']) ?>
                <?= Html::a('<i class="ri-save-line float-start me-1"></i> Back', 'admitcardmobile', ['class' => 'btn btn-sm btn-dark active bt-bgc ']) ?>
            </div>
        </div>

    </div>
</div>
<?php ActiveForm::end(); ?>
<!-- </div> -->

<?php
$this->registerJs('      
        $(document).ready(function () {
            $("#refresh_captcha").click(function (event) {
                event.preventDefault();
                $(this).parent().children(\'img\').click();
                $("#candidate-verifycode").val("");
                $("#candidate-verifycode").removeClass("is-valid")
            });
        });      
        $(document).ready(function (){
            $(".form-control").addClass("form-control-sm");
            $("#refresh_captcha").click();    
        });
    ');
?>