<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\captcha\captcha;
use yii\helpers\Url;
use diecoding\barcode\generator\Barcode;
use SimpleSoftwareIO\QrCode\Generator;

//use diecoding\barcode\generator\Barcode;
$CandidateIP =   'Unknown';
if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
    $CandidateIP = $_SERVER['HTTP_CLIENT_IP'];
} else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
    $CandidateIP = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
    $CandidateIP = $_SERVER['REMOTE_ADDR'];
}

$ImagePath=yii::$app->params['City_Intimation_File_Server_URL'];
?>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Admit Card</title>
    <style>
        /* General Styles */
        body {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 14px;
            line-height: 22px;
            color: #000;
            margin: 0;
            padding: 0;
        }

        .bg_color_1 {
            background-color: yellow !important;
        }

        p {
            margin-bottom: 2px;
        }

        .paragrap-alightment {
            margin-left: 20px;
            margin-top: -30px;
        }

        .left-side {
            margin-left: 20px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        table tr td,
        table tr th {
            border: 1px solid #000;
            font-size: 12px;
            padding: 5px;
        }

        .header-logo-display {
            display: none;
        }

        .dsignature {
            max-width: 150px;
        }

        .hideRR {
            display: none;
        }

        .space_hide {
            display: none;
        }

        .omr-box {
            border: 1px solid #333;
            padding: 10px;
            text-align: center;
            width: 120px;
            height: 100px;
            display: inline-block;
            margin-right: 10px;
            margin-bottom: 10px;
        }

        .circle {
            display: inline-block;
            width: 20px;
            height: 20px;
            margin: 5px;
            border: 1px solid #000;
            border-radius: 50%;
            vertical-align: middle;
        }

        .circle.filled {
            background-color: black;
        }

        .label {
            display: block;
            font-weight: bold;
            margin-top: 10px;
        }

        .special-margin {
            margin-top: -30px;
            z-index: 999;
        }

        .marginrr {
            margin-top: -30px;
        }

        /* Print Styles */
        @media print {
            .special-margin {
                margin-top: 0 !important;
            }

            td,
            th,
            p {
                font-size: 13px;
                line-height: 19px;
            }

            .inst {
                font-size: 10px !important;
                line-height: 12px !important;
                text-align: justify !important;
            }

            .insth {
                font-size: 11px !important;
                line-height: 12px !important;
                text-align: justify !important;
            }

            .marginrr {
                margin-top: 0px !important;
            }

            .bg-light {
                background: transparent;
            }

            .hideRR {
                display: block;
            }

            .space_hide {
                display: block;
            }

            .bg_color_1 {
                background-color: #eee !important;
            }

            .abc {
                line-height: 14px;
            }

            /* Page adjustments for printing */
            @page {
                margin: 0;
                /* Set all margins to 0 initially */
                margin-bottom: 20px;
                /* Specify the bottom margin */
                margin-top: 20px;
                /* Specify the bottom margin */
            }

            .header-logo-display {
                display: block;
                margin-top: 10px;
            }

            .remove-print,
            .userActivityBtn,
            a.nav-link,
            .header-main,
            .topnavigation,
            marquee {
                display: none;
            }

            .rr1 {
                height: 1060px;
                page-break-before: always;
            }

            table {
                page-break-inside: avoid;
            }

            tr {
                page-break-inside: avoid;
                page-break-after: auto;
            }

            td {
                padding: 2px !important;
            }

            .paragrap-alightment {
                margin-left: 20px !important;
                margin-top: -22px !important;
            }

            ol#imp-point li {
                line-height: 1.2;
                font-size: 14px;
                text-align: justify;
            }

            .main-tbl tr td {
                font-size: 12px;
                line-height: 14px;
            }

            /* Other cleanup for print */
            body {
                font-size: 12px;
                padding: 0;
                height: auto;
            }

            p {
                margin: 0;
            }

            .content-body {
                padding: 0 !important;
            }

            .footer {
                display: none;
            }

            .omr-box {
                border: 1px solid #333;
                padding: 5px;
                text-align: center;
                width: 90px;
                height: 75px;
                display: inline-block;
                margin-right: 5px;
                margin-bottom: 5px;
            }

            .circle {
                display: inline-block;
                width: 10px;
                height: 10px;
                margin: 2px;
                border: 1px solid #000;
                border-radius: 50%;
                vertical-align: middle;
            }

            .circle.filled {
                background-color: black;
            }

            .label {
                display: block;
                font-weight: bold;
                margin-top: 5px;
            }
        }

        ol,
        ul {
            padding-left: 20px;

        }
    </style>
</head>

<body>
    <div class="container-fluid ">
        <div class="rr">
            <div class="navbar navbar-expand-md navbar-light bg-light  row ">

                <div class="col-sm-5 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/nta_logo_hindi.jpg" width="250" height="60" />
                </div>

                <div class="col-sm-4 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/center_logo.png" width="100" height="60" />
                </div>
                <div class="col-sm-3 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/left_logo.png" width="200" height="60" />
                </div>
                


                <div class="col-sm-12 text-center">
                    <p class="" style="padding-top:10px;font-size:15px;">
                        <p style="text-align: center;">All India Sainik Schools Entrance Exam (AISSEE) – 2025</p>
                        <strong>(FOR ADMISSION TO CLASS VI)</strong>
                        <p style="color:red">Admit Card - Provisional</p>
                    </p>
                </div>
                <div class="col-sm-12 remove-print">
                    <button style="float: right; margin: 7px;" class="remove-print no-print btn btn-sm btn-success pull-right"
                        id="print-btn" title="Click to Print">Print</button>
                    <a href="<?= Url::base() ?>/admitcard/index" style="float: right; margin: 7px;" class="remove-print no-print btn btn-sm btn-secondary pull-right"
                        id="print-btn" title="Click to Print">
                        <i class="fa fa-angle-double-left"></i> Back</a>
                </div>
            </div>

   
            <table width="100%" border="1" cellspacing="0" cellpadding="0"
                style="border-collapse: collapse; border-color: #000;margin-top:1px;" class="main-tbl">
                <tr>
                    <input type="hidden" value="<?= @$model_data[0]['APPNO']; ?>" id="applicationNumber">
                    <td><b>Roll Number:</b></td>
                    <td> <?= (isset($model_data[0]['ROLL']) && !empty($model_data[0]['ROLL'])) ? trim($model_data[0]['ROLL']) : '-' ?> </td>

                    <td align="left" scope="row"><b>Application No.:</b></td>
                    <td>
                        <?= (isset($model_data[0]['APPNO']) && !empty($model_data[0]['APPNO'])) ? trim(@$model_data[0]['APPNO']) : ' ' ?>
                    </td>

                    <td rowspan="5" align="center" valign="center" width="10%" class="photopreview" id="photocode">

                    <?php
                       $CandidatePhotoBase64 = '';
                       if(isset($model_data[0]['CandidatePhoto']) && !empty(isset($model_data[0]['CandidatePhoto']))){
                         $CandidatePhotoUrl = $ImagePath.'/'.$model_data[0]['CandidatePhoto'];
                        if (@getimagesize($CandidatePhotoUrl)) {
                         $documentPath = $CandidatePhotoUrl;
                         $ext = strtolower(pathinfo($documentPath, PATHINFO_EXTENSION));
                         if (!empty($ext) && in_array($ext, array('jpg', 'jpeg', 'png'))) {
                             $data = @file_get_contents($documentPath);
                             if (!empty($data)) {
                                 $CandidatePhotoBase64 = 'data:image/' . $ext . ';base64,' . base64_encode($data);
                             }
                         }
                           echo "<span id='CandidatePhotoExist' style='display:none'>true</span>";
                        } else {
                         echo "<span id='CandidatePhotoExist' style='display:none'>false</span>";
                        }
                    
                       }
                   
                       echo Html::img($CandidatePhotoBase64,[ 'Title'=>'Photograph','class'=>'signpre','alt' => 'Candidate Photo','style'=>"width: 120px;height: 120px;"]);
                ?>


                
                    </td>
                </tr>
                <tr>
                    <td align="left" scope="row"><b>Candidate's Name : </b></td>
                    <td>
                        <?= (isset($model_data[0]['CandidateName']) && !empty($model_data[0]['CandidateName'])) ? strtoupper(@$model_data[0]['CandidateName']) : ' ' ?>
                    </td>
                    <td align="left" scope="row"><b> Father's Name :</b></td>
                    <td>
                        <?= (isset($model_data[0]['FatherName']) && !empty($model_data[0]['FatherName'])) ? strtoupper(@$model_data[0]['FatherName']) : ' ' ?>
                    </td>
                </tr>
                <tr>
                    <td><b>Gender :</b></td>
                    <td> <?= (isset($model_data[0]['Gender']) && !empty($model_data[0]['Gender'])) ? strtoupper(@$model_data[0]['Gender']) : 'NA' ?></td>
                    <td align="left" scope="row"><b>Date of Birth :</b></td>
                    <td>
                        <?= (isset($model_data[0]['DOB']) && !empty($model_data[0]['DOB'])) ? date('d-m-Y', strtotime(@$model_data[0]['DOB'])) : ' ' ?>
                    </td>
                </tr>
                <tr>
                    <td align="left" scope="row"><b>Category :</b></td>
                    <td colspan="3">
                    <?= (isset($model_data[0]['Category']) && !empty($model_data[0]['Category'])) ? strtoupper(@$model_data[0]['Category']) : ' ' ?>
                    </td>
                    <!-- <td align="left" scope="row"> <b>PwD :</b></td>

                    <td>
                    <?php // (isset($model_data[0]['pwd']) && !empty($model_data[0]['pwd'])) ? strtoupper(@$model_data[0]['pwd']) : '' ?>
                    </td> -->
                </tr>
               
                

                <td class="text-center">

                <span id="barcode">
                        <?php
                        if (isset($model_data[0]['ROLL']) && !empty($model_data[0]['ROLL'])) {
                            $apId = @$model_data[0]['ROLL'] ?? '';
                            echo Barcode::widget([
                                'value'  => $apId,
                                'format' => Barcode::CODE128,
                                'pluginOptions' => [
                                    'width'        => 2,
                                    'height'       => 40,
                                    'displayValue' => true
                                ]
                            ]);
                        }
                        ?>

                    </span>


                </td>


                <td class="text-center" colspan="2">
                        Candidate's Signature
                
                </td>


                <!-- <td colspan="1" style="vertical-align: middle;"><b>Candidate’s Signature</b></td> -->
                <td colspan="1" align="left" scope="row" class="text-center">

                <?php
                       $CandidatePhotoBase64 = '';
                       if(isset($model_data[0]['CandidateSignature']) && !empty(isset($model_data[0]['CandidateSignature']))){
                         $CandidatePhotoUrl = $ImagePath.'/'.$model_data[0]['CandidateSignature'];
                        if (@getimagesize($CandidatePhotoUrl)) {
                         $documentPath = $CandidatePhotoUrl;
                         $ext = strtolower(pathinfo($documentPath, PATHINFO_EXTENSION));
                         if (!empty($ext) && in_array($ext, array('jpg', 'jpeg', 'png'))) {
                             $data = @file_get_contents($documentPath);
                             if (!empty($data)) {
                                 $CandidatePhotoBase64 = 'data:image/' . $ext . ';base64,' . base64_encode($data);
                             }
                         }
                           echo "<span id='CandidatePhotoExist' style='display:none'>true</span>";
                        } else {
                         echo "<span id='CandidatePhotoExist' style='display:none'>false</span>";
                        }
                    
                       }
                   
                       echo Html::img($CandidatePhotoBase64,[ 'Title'=>'Photograph','class'=>'signpre','alt' => 'Candidate Photo','style'=>"width: 120px;height: 100px;"]);
                ?>
                    <!-- <img class="imgrr" src="<?php // Yii::$app->params['documentPathAPI'] . '/' . Yii::$app->params['containerName'] . '/' . @$model_data[0]['CandidateSignature'] ?>" width="120px" height="100px" ; /> -->
                </td>
            </table>
            <table width="727">
<tbody>
<tr>
<td colspan="4" width="727" align="center">
<p><strong>Test Details</strong></p>
</td>
</tr>
<tr>
<td colspan="2" width="297">
<p><strong>Question Paper Medium</strong></p>
</td>
<td width="186">
<p><strong>Date of Examination</strong></p>
</td>
<td width="243">
<p><strong>Timing of Test</strong></p>
</td>
</tr>
<tr>
<td colspan="2" width="297">
<p><strong><?= (isset($model_data[0]['MediumOfPaper']) && !empty($model_data[0]['MediumOfPaper'])) ? strtoupper(@$model_data[0]['MediumOfPaper']) : 'NA'; ?></strong></p>
</td>
<td width="186">
<p><strong><?= (isset($model_data[0]['E_DATE']) && !empty($model_data[0]['E_DATE'])) ? strtoupper(@$model_data[0]['E_DATE']) : 'NA'; ?></strong></p>
</td>
<td width="243">
<p><strong><?= (isset($model_data[0]['E_TIME']) && !empty($model_data[0]['E_TIME'])) ? strtoupper(@$model_data[0]['E_TIME']) : 'NA'; ?></strong></p>
</td>
</tr>
<tr>
<td colspan="4" width="727" align="center">
<p><strong>Test Details</strong></p>
</td>
</tr>
<tr>
<td width="147">
<p><strong>Reporting Time at Centre</strong></p>
</td>
<td width="150">
<p><strong><?= (isset($model_data[0]['R_TIME']) && !empty($model_data[0]['R_TIME'])) ? strtoupper(@$model_data[0]['R_TIME']) : 'NA'; ?></strong></p>
</td>
<td width="186">
<p><strong>Entry Gate Closing Time at Centre</strong></p>
</td>
<td width="243">
<p><strong><?= (isset($model_data[0]['C_TIME']) && !empty($model_data[0]['C_TIME'])) ? strtoupper(@$model_data[0]['C_TIME']) : 'NA'; ?></strong></p>
</td>
</tr>
<tr>
<td width="147">
<p><strong>State of Test Centre</strong></p>
</td>
<td width="150">
<p><strong><?= (isset($model_data[0]['CENT_STATE']) && !empty($model_data[0]['CENT_STATE'])) ? strtoupper(@$model_data[0]['CENT_STATE']) : 'NA'; ?></strong></p>
</td>
<td width="186">
<p><strong>City of Test Centre</strong></p>
</td>
<td width="243">
<p><strong><?= (isset($model_data[0]['CENT_CITY']) && !empty($model_data[0]['CENT_CITY'])) ? strtoupper(@$model_data[0]['CENT_CITY']) : 'NA'; ?></strong></p>
</td>
</tr>
<tr>
<td width="147">
<p><strong>Test Centre Code &amp; Name</strong></p>
</td>
<td colspan="3" width="579">
<p>&nbsp;</p>
</td>
</tr>
<tr>
<td width="147">
<p><strong>Address of Test Centre</strong></p>
</td>
<td colspan="3" width="579">
<p>&nbsp;</p>
</td>
</tr>
<tr>
<td colspan="4" width="727" align="center">
<p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </strong></p>
<p><strong>&nbsp;</strong></p>
<p><strong>Director,&nbsp; NTA</strong></p>
</td>
</tr>
</tbody>
</table>





            <p style="text-align:center;color:red;font-size:17px;font-weight:bold">SELF DECLARATION (UNDERTAKING)</p>
            <p>I, _________________, resident of ________________________________________________________________, do hereby, declare the following:</p>
            <ol style='margin-bottom:0px;'>
                <li>I have read the Instructions, Guidelines, Information Bulletin and  Notices related to this examination available on the website <a target="_blank" href="https://exams.nta.ac.in/AISSEE/"> https://exams.nta.ac.in/AISSEE/</a> and <a target="_blank" href="www.nta.ac.in">www.nta.ac.in</a></li>
                <li>I have read the detailed “IMPORTANT INSTRUCTIONS for CANDIDATES” as given on Page 2 and I undertake to abide by the same.</li>

            </ol>
           


            <table height="150" width="100%" border="1" cellspacing="0" cellpadding="1" style="border-collapse: collapse;" class="main-tbl">
                <tr>
                    <td width="33%" style="vertical-align: bottom;text-align:center"><strong>Candidate’s Photo</strong> (Same as uploaded on the Application Form to be affixed before reaching the Centre)</td>
                    <td width="33%" style="vertical-align: bottom;text-align:center"><strong>Candidate’s left-hand thumb Impression </strong>(To be affixed at the Centre)</td>
                    <td width="33%" style="vertical-align: bottom;text-align:center">

                    <strong>(Parent’s Signature)</strong>
                    <hr>
                    <strong>Candidate’s Signature </strong>(To be signed, on the Day of Examination in the presence of the Invigilator only)
                    </td>
                </tr>
            </table>
            <strong>The above undertaking has to be filled up in advance before reaching the Centre, except for the candidate’s signature which has to be affixed in the presence of the invigilator.
                </strong><br />  <br /><br />  


            <table width="100%" class="hideRR" style="margin-top:8px;">
                <tr>
                    <td style="border: 0;" width="30%"><strong>
                            Application Number : <?= (isset($model_data[0]['appno']) && !empty($model_data[0]['appno'])) ? trim($model_data[0]['appno']) : ' ' ?><span style="padding:0px 10px">
                            </span>
                        </strong>
                    </td>
                    <td style="border: 0;" width="20%"><strong>
                            IP Address:<?= $CandidateIP; ?><span style="text-align:center; padding:0px 10px">
                            </span>
                        </strong>
                    </td>
                    <td style="border: 0;" colspan="2"><strong>
                            Date and Time: <span style="padding:0px 10px"><?php echo date('d-m-Y H:i:s') ?></span></strong>
                    </td>

                    <td style="border: 0;" colspan="2"><strong>
                            Page: 1 of 3</strong>
                    </td>
                </tr>
            </table>

        </div>
        <br />  








        <div class="rr">
            <div class="navbar navbar-expand-md navbar-light bg-light  row ">

                <div class="col-sm-5 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/nta_logo_hindi.jpg" width="250" height="60" />
                </div>

                <div class="col-sm-4 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/center_logo.png" width="100" height="60" />
                </div>

                <div class="col-sm-3 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/left_logo.png" width="200" height="60" />
                </div>


                <div class="col-sm-12 text-center">
                    <p class="" style="padding-top:10px;font-size:15px;">
                        <p style="text-align: center;">All India Sainik Schools Entrance Exam (AISSEE) – 2025</p>
                        <strong>(FOR ADMISSION TO CLASS VI)</strong>
                        <p style="color:red">IMPORTANT INSTRUCTIONS FOR CANDIDATES</p>
                    </p>
                </div>


            </div>
           
            <ol class="inst" style="line-height: 20px;font-size: 14px;text-align: justify;">

            <li>This Admit Card consists of three pages– Page (1) contains the Centre Details and Self Declaration (Undertaking); Page (2) and Page (3) contain "Important instructions for candidates" in English and Hindi respectively. The candidate has to download, read and understand all the pages. However, only the top sheet (Page 1) containing the personal and test details as well as the Self Declaration (Undertaking) and signatures of parent/ candidate, is required to be submitted to the invigilator at the exam centre.</li>
    <li>All candidates are required to download and read carefully the Instructions given with the Admit Card and strictly adhere to them.</li>
    <li>As soon as Admit Card is downloaded by the candidates, they have to check the details carefully and bring discrepancies, if any, to the notice of NTA immediately by way of a mail at aissee@nta.ac.in stating their Application Number, Roll Number and mobile phone number or contact the NTA Help Desk at 011-40759000,011-69227700 between 10.00am and 5.00pm.</li>
    <li>Even if a candidate has applied multiple times, he/ she is permitted to appear for the AISSEE-2025 only against one admit card as per the personal and exam details given therein and this admit card will only be valid at the time of admission, if eligible.</li>
    <li>The Admit Card is provisional, subject to satisfying the eligibility conditions as given in the Information Bulletin.</li>
    <li>The Admit Card is not transferrable to any other person. Impersonation is a legally punishable offence.</li>
    <li>Request for change of examination centre will not be entertained. If a candidate appears at an examination centre other than the one indicated in his/her Admit Card, his/her candidature will be cancelled.</li>
    <li>It is suggested that the candidates may verify the location of examination venue, a day in advance so that they do not face any problem on the day of examination, in locating the centre.</li>
    <li>The candidate must reach Centre as indicated against Reporting/Entry time at Centre in the Admit Card.</li>
    <li>No candidate shall be permitted to enter the Centre after the Gate Closing Time, i.e. after 1.30 PM.</li>
    <li>No candidate would be allowed to enter the Examination Centre, without Admit Card (only the top sheet containing the personal and test details as well as the Self Declaration (Undertaking) and signatures of parent/ candidate), and Valid ID Proof.</li>
    <li>Candidates are permitted to carry only the following items with them into the examination centre:
        <ul>
            <li>Personal transparent water bottle,</li>
            <li>A simple transparent Ball Point Pen</li>
            <li>Admit Card downloaded from NTA website (a clear printout on A4 size paper) duly filled in.</li>
            <li>Original valid ID proof</li>
        </ul>
    </li>
    <li>Before reaching the Centre, the candidates must enter required details in the Self Declaration (Undertaking) in legible handwriting, affix the Photograph, affix Left-Hand Thumb Impression and Candidate’s Parent’s signature at the designated places. They should ensure that their Left-Hand Thumb Impression is clear and not smudged. The candidate has to affix his/her signature, in the presence of the Invigilator in the examination Room/ Hall, on the admit card, on the day of examination.</li>
    <li>Candidates are NOT allowed to carry any personal belongings to the Examination Centre as there will be no safe keeping arrangements at the centre and Examination Officials will not be responsible for safekeeping of personal belongings.</li>
    <li>The following items are prohibited at the exam premises:
        <ul>
            <li>Mobile phones or any other communication device including Bluetooth etc.</li>
            <li>Textual or stationery material such as a book, paper, formulae, log tables, whitener, slide rule (except blue or black ball point pen)</li>
            <li>Personal items such as wallet, purse, cap, goggles, jacket, food, drinks, pointed instruments etc. Candidates must check and ensure that they do not have any of the barred/ prohibited items. If they realize that they are carrying any such item, it must be handed over immediately to the invigilator. Any infringement of these instructions will invite disciplinary action and withdrawal of candidature. If any other candidate(s) is using unfair means, please object and report immediately to the invigilator.</li>
        </ul>
    </li>
    <li>Candidates will be required to occupy only the seats allotted to them and are not allowed to change their seat in the examination hall.</li>
    <li>Candidates are advised to listen to the instructions of the Invigilators at the Examination Centre before commencement of the test.</li>
    <li>The question booklet will be supplied 10 (Ten) minutes before the commencement of the examination.</li>
    <li>While opening the transparent cover of the sealed test booklet/ OMR answer sheet, candidates are required to exercise caution not to damage the contents.</li>
    <li>There will be 4 sets of question booklet, “A”, “B”, “C” and “D”.</li>
    <li>Candidates are required to check carefully that the question booklet number is printed on the cover page and the question booklet contains the same number of pages as mentioned on the cover page.</li>
    <li>In case of any discrepancy in the question booklet, candidates should report the matter to the Invigilator immediately.</li>
    <li>Candidates are required to mark their answers on the OMR answer sheet, contained within the question booklet. They are not allowed to open the seal of the question booklet until they are advised to do so by the invigilator. The OMR answer sheet is to be handled carefully without folding or disfiguring it. Only the relevant fields and circles are to be filled in the OMR answer sheet and no other scribbling or rough work should be carried out on the front or reverse of the OMR. Candidates may use the question booklet to do the rough work.</li>
    <li>Candidates are required to fill up their particulars on the OMR Answer Sheet. They should note that any omission/mistake/discrepancy in filling up details on the OMR Answer Sheet, especially with regard to Roll Number, Question Booklet, OMR responses, etc. will render the answer sheet liable for rejection. Hence candidate should not rush to fill the details and do it carefully. In case the candidate commits an error while filling the OMR answer sheet, the sheet will not be replaced. The onus of filling the correct information in relevant fields of the OMR Answer Sheet is solely on the candidates who may consult the Invigilator in case of doubt.</li>
    <li>Candidates should darken/ bubble/ shade the circle which represents, in their opinion, the correct answer, completely, so that the letter/ number inside the circle is not visible. Darkening of multiple circles against a question number will render the answer invalid and no marks will be given for such multiple answers. The correct and wrong methods of darkening the circle on the OMR answer sheet are given in the picture:-
                </br><img  src="<?php echo Url::base() ?>/images/ins2.jpg" width="250" height="60" />
    </li>
    <li>There would be NO negative mark for a wrong response.</li>
    <li>Candidature for the examination is provisional. Final selection will be subject to performance in the written examination, qualification in medical examination and verification of original certificates such as proof of Date of Birth, Domicile, Category etc. If discrepancy is found at any stage of the admission process, the candidate will forfeit his/her seat.</li>
    <li>No candidate shall be permitted to leave the Examination Room/ Hall before the end of the examination.</li>
    <li>On completion of the examination, candidates are required to wait for instructions from Invigilator and are advised not to get up from their respective seat until advised. The candidates will be permitted to move out, one at a time, only.</li>
    <li>On completion of the test, candidates must handover the OMR Answer Sheet and the Admit Card to the Invigilator and take away only the Test Booklet with them. Failure to do so will be treated as adoption of unfair means and will be dealt with accordingly.</li>
    <li>No Candidate should adopt any unfair means or indulge in any unfair examination practices.</li>
    <li>Candidates are advised to check updates on NTA website www.nta.ac.in regularly. They should also check their mailbox at the registered E-mail address and SMS in their registered Mobile No. for latest updates and information regarding AISSEE-2025.</li>
    <li>Candidates may write to NTA at https://exams.nta.ac.in/AISSEE/ or call NTA Helpdesk at 011-40759000, 011-69227700 for any assistance giving their Name, Roll Number, Examination Centre, City Name and year of Examination.</li>



            </ol>



            <table width="100%" class="hideRR" style="margin-top:-10px;" style="z-index:-1;">
                <tr>
                    <td style="border: 0;" width="30%"><strong>
                            Application Number : <?= (isset($model_data[0]['appno']) && !empty($model_data[0]['appno'])) ? trim($model_data[0]['appno']) : ' ' ?><span style="padding:0px 10px">
                            </span>
                        </strong>
                    </td>
                    <td style="border: 0;" width="20%"><strong>
                            IP Address:<?= $CandidateIP; ?><span style="text-align:center; padding:0px 10px">
                            </span>
                        </strong>
                    </td>
                    <td style="border: 0;" colspan="2"><strong>
                            Date and Time: <span style="padding:0px 10px"><?php echo date('d-m-Y H:i:s') ?></span></strong>
                    </td>

                    <td style="border: 0;" colspan="2"><strong>
                            Page: 2 of 3</strong>
                    </td>
                </tr>
            </table>
        </div>
       







        <div class="rr">

        <div class="navbar navbar-expand-md navbar-light bg-light  row ">
                
                <div class="col-sm-5 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/nta_logo_hindi.jpg" width="250" height="60" />
                </div>

                <div class="col-sm-4 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/center_logo.png" width="100" height="60" />
                </div>

                <div class="col-sm-3 text-start header-logo-display">
                    <img class="dept-higher-edu-logo" src="<?php echo Url::base() ?>/images/left_logo.png" width="200" height="60" />
                </div>


                <div class="col-sm-12 text-center">
                    <p class="" style="padding-top:10px;font-size:15px;">
                        <p style="text-align: center;">अखिल भारतीय सैनिक स्कूल प्रवेश परीक्षा (AISSEE)-2025</p>
                        <strong>(कक्षा IX में प्रवेश के लिए)</strong>
                        <p style="color:red">अभ्यर्थियों के लिए महत्वपूर्ण निर्देश</p>
                    </p>
                </div>


            </div>


            <ol class="insth" style="line-height: 20px;font-size: 14px;text-align: justify;">
          
    <li>इस प्रवेश पत्र में तीन पृष्ठ हैं- पृष्ठ (1) में केंद्र विवरण और स्व-घोषणा (अंडरटेकिंग) शामिल है; पृष्ठ (2) और पृष्ठ (3) में क्रमशः अंग्रेजी और हिंदी में "उम्मीदवारों के लिए महत्वपूर्ण निर्देश" हैं। अभ्यर्थी को सभी पेजों को डाउनलोड करना, पढ़ना और समझना होगा। हालाँकि, केवल शीर्ष शीट (पेज 1) जिसमें व्यक्तिगत और परीक्षण विवरण के साथ-साथ स्व-घोषणा (अंडरटेकिंग) और माता-पिता/उम्मीदवार के हस्ताक्षर शामिल हैं, परीक्षा केंद्र में पर्यवेक्षक को जमा करना आवश्यक है।</li>
    <li>सभी उम्मीदवारों को एडमिट कार्ड के साथ दिए गए निर्देशों को डाउनलोड करके ध्यान से पढ़ना होगा और उनका सख्ती से पालन करना होगा।</li>
    <li>जैसे ही उम्मीदवारों द्वारा एडमिट कार्ड डाउनलोड किया जाता है, उन्हें विवरण सावधानीपूर्वक जांचना होगा और विसंगतियां, यदि कोई हो, को तुरंत aissee@nta.ac.in पर एक मेल के माध्यम से अपना आवेदन नंबर, रोल नंबर और मोबाइल फोन नंबर या एनटीए हेल्प डेस्क से 011-40759000, 011-69227700 पर सुबह 10.00 बजे से शाम 5.00 बजे के बीच संपर्क करें।</li>
    <li>यहां तक कि अगर किसी उम्मीदवार ने कई बार आवेदन किया है, तो उसे उसमें दिए गए व्यक्तिगत और परीक्षा विवरण के अनुसार केवल एक एडमिट कार्ड के साथ AISSEE-2025 में उपस्थित होने की अनुमति है और यह एडमिट कार्ड केवल प्रवेश के समय मान्य होगा, यदि योग्य।</li>
    <li>प्रवेश पत्र अनंतिम है, जो सूचना बुलेटिन में दी गई पात्रता शर्तों को पूरा करने के अधीन है।</li>
    <li>प्रवेश पत्र किसी अन्य व्यक्ति को हस्तांतरित नहीं किया जा सकता है। प्रतिरूपण कानूनी रूप से दंडनीय अपराध है।</li>
    <li>परीक्षा केंद्र बदलने के अनुरोध पर विचार नहीं किया जाएगा। यदि कोई अभ्यर्थी अपने प्रवेश पत्र में दर्शाए गए परीक्षा केंद्र के अलावा किसी अन्य परीक्षा केंद्र पर उपस्थित होता है, तो उसकी उम्मीदवारी रद्द कर दी जाएगी।</li>
    <li>यह सुझाव दिया जाता है कि उम्मीदवार एक दिन पहले परीक्षा स्थल के स्थान को सत्यापित कर लें ताकि परीक्षा के दिन उन्हें केंद्र का पता लगाने में किसी समस्या का सामना न करना पड़े।</li>
    <li>उम्मीदवार को प्रवेश पत्र में केंद्र में रिपोर्टिंग/प्रवेश समय के सामने दर्शाए अनुसार केंद्र पर पहुंचना होगा।</li>
    <li>गेट बंद होने के समय यानी दोपहर 1.30 बजे के बाद किसी भी अभ्यर्थी को केंद्र में प्रवेश की अनुमति नहीं दी जाएगी।</li>
    <li>किसी भी उम्मीदवार को प्रवेश पत्र (केवल शीर्ष शीट जिसमें व्यक्तिगत और परीक्षण विवरण के साथ-साथ स्व-घोषणा (अंडरटेकिंग) और माता-पिता/उम्मीदवार के हस्ताक्षर हों) और वैध आईडी प्रमाण के बिना परीक्षा केंद्र में प्रवेश करने की अनुमति नहीं दी जाएगी।</li>
    <li>अभ्यर्थियों को परीक्षा केंद्र में केवल निम्नलिखित वस्तुएं अपने साथ ले जाने की अनुमति है:</li>
    <ul>
        <li>व्यक्तिगत पारदर्शी पानी की बोतल,</li>
        <li>एक साधारण पारदर्शी बॉल प्वाइंट पेन</li>
        <li>एनटीए वेबसाइट से डाउनलोड किया गया प्रवेश पत्र (A4 आकार के कागज पर एक स्पष्ट प्रिंटआउट) विधिवत भरा हुआ।</li>
        <li>वैध आईडी प्रमाण मूल रूप में</li>
    </ul>
    <li>केंद्र पर पहुंचने से पहले, उम्मीदवारों को सुपाठ्य लिखावट में स्व-घोषणा (अंडरटेकिंग) में आवश्यक विवरण दर्ज करना होगा, फोटोग्राफ चिपकाना होगा, बाएं हाथ के अंगूठे का निशान लगाना होगा और निर्दिष्ट स्थानों पर उम्मीदवार के माता-पिता के हस्ताक्षर होंगे। उन्हें यह सुनिश्चित करना चाहिए कि उनके बाएं हाथ के अंगूठे का निशान स्पष्ट है और धुंधला नहीं है। उम्मीदवार को परीक्षा के दिन, परीक्षा कक्ष/हॉल में पर्यवेक्षक की उपस्थिति में, प्रवेश पत्र पर अपना हस्ताक्षर करना होगा।</li>
    <li>अभ्यर्थियों को परीक्षा केंद्र में कोई भी निजी सामान ले जाने की अनुमति नहीं है क्योंकि केंद्र पर सुरक्षित रखने की कोई व्यवस्था नहीं होगी और परीक्षा अधिकारी व्यक्तिगत सामान को सुरक्षित रखने के लिए जिम्मेदार नहीं होंगे।</li>
    <li>परीक्षा परिसर में निम्नलिखित वस्तुएँ प्रतिबंधित हैं:</li>
    <ul>
        <li>मोबाइल फोन या ब्लूटूथ आदि सहित कोई अन्य संचार उपकरण।</li>
        <li>पाठ्य या स्टेशनरी सामग्री जैसे किताब, कागज, सूत्र, लॉग टेबल, व्हाइटनर, स्लाइड नियम (नीले या काले बॉल प्वाइंट पेन को छोड़कर)</li>
        <li>व्यक्तिगत वस्तुएं जैसे बटुआ, पर्स, टोपी, चश्मा, जैकेट, भोजन, पेय, नुकीले उपकरण आदि। उम्मीदवारों को जांच करनी चाहिए और सुनिश्चित करना चाहिए कि उनके पास कोई भी वर्जित/निषिद्ध वस्तु नहीं है। यदि उन्हें पता चलता है कि वे ऐसी कोई वस्तु ले जा रहे हैं, तो उसे तुरंत पर्यवेक्षक को सौंप दिया जाना चाहिए। इन निर्देशों का कोई भी उल्लंघन अनुशासनात्मक कार्रवाई और उम्मीदवारी वापस लेने को आमंत्रित करेगा। यदि कोई अन्य उम्मीदवार अनुचित साधनों का उपयोग कर रहा है, तो कृपया आपत्ति करें और तुरंत पर्यवेक्षक को रिपोर्ट करें।</li>
    </ul>
    <li>अभ्यर्थियों को केवल उन्हें आवंटित सीटों पर ही बैठना होगा और उन्हें परीक्षा हॉल में अपनी सीट बदलने की अनुमति नहीं होगी।</li>
    <li>अभ्यर्थियों को सलाह दी जाती है कि वे परीक्षा शुरू होने से पहले परीक्षा केंद्र पर पर्यवेक्षकों के निर्देशों को सुनें।</li>
    <li>प्रश्न पुस्तिका परीक्षा शुरू होने से 10 (दस) मिनट पहले उपलब्ध कराई जाएगी।</li>
    <li>सीलबंद परीक्षण पुस्तिका/ओएमआर उत्तर पुस्तिका के पारदर्शी कवर को खोलते समय, उम्मीदवारों को सावधानी बरतनी होगी कि सामग्री को नुकसान न पहुंचे।</li>
    <li>प्रश्न पुस्तिका के 4 सेट होंगे, “ए”, “बी”, “सी” और “डी”।</li>
    <li>अभ्यर्थियों को ध्यान से जांचना होगा कि प्रश्न पुस्तिका संख्या कवर पेज पर मुद्रित है और प्रश्न पुस्तिका में पृष्ठों की संख्या उतनी ही है जितनी कवर पेज पर उल्लिखित है।</li>
    <li>प्रश्न पुस्तिका में किसी भी विसंगति के मामले में, उम्मीदवारों को तुरंत पर्यवेक्षक को मामले की सूचना देनी चाहिए।</li>
    <li>अभ्यर्थियों को अपने उत्तर प्रश्न पुस्तिका में मौजूद ओएमआर उत्तर पुस्तिका पर अंकित करने होंगे। उन्हें प्रश्न पुस्तिका की सील तब तक खोलने की अनुमति नहीं है जब तक कि पर्यवेक्षक उन्हें ऐसा करने की सलाह न दे। ओएमआर उत्तर पुस्तिका को बिना मोड़े या विकृत किए सावधानीपूर्वक संभालना होगा। ओएमआर उत्तर पुस्तिका में केवल संबंधित फ़ील्ड और सर्कल भरे जाने चाहिए और ओएमआर के सामने या पीछे कोई अन्य लिखावट या रफ काम नहीं किया जाना चाहिए। उम्मीदवार रफ कार्य करने के लिए प्रश्न पुस्तिका का उपयोग कर सकते हैं।</li>
    <li>अभ्यर्थियों को ओएमआर उत्तर पुस्तिका पर अपना विवरण भरना आवश्यक है। उन्हें ध्यान देना चाहिए कि ओएमआर उत्तर पुस्तिका पर विवरण भरने में कोई भी चूक/गलती/विसंगति, विशेष रूप से रोल नंबर, प्रश्न पुस्तिका, ओएमआर प्रतिक्रियाओं आदि के संबंध में, उत्तर पुस्तिका को अस्वीकार कर दिया जाएगा। इसलिए उम्मीदवार को विवरण भरने में जल्दबाजी नहीं करनी चाहिए और इसे सावधानीपूर्वक भरना चाहिए। यदि उम्मीदवार ओएमआर उत्तर पुस्तिका भरते समय कोई त्रुटि करता है, तो शीट को बदला नहीं जाएगा। ओएमआर उत्तर पुस्तिका के प्रासंगिक क्षेत्रों में सही जानकारी भरने का दायित्व पूरी तरह से उम्मीदवारों पर है जो संदेह के मामले में पर्यवेक्षक से परामर्श कर सकते हैं।</li>
    <li>अभ्यर्थियों को उस वृत्त को, जो उनकी राय में, सही उत्तर दर्शाता है, पूर्णतः काला/बुलबुला/छायादार कर देना चाहिए, ताकि वृत्त के अंदर का अक्षर/संख्या दिखाई न दे। एक प्रश्न संख्या के सामने अनेक वृत्तों को काला करने से उत्तर अमान्य हो जाएगा और ऐसे अनेक उत्तरों के लिए कोई अंक नहीं दिया जाएगा। ओएमआर उत्तर पुस्तिका पर गोले को काला करने की सही और गलत विधि चित्र में दी गई है:-

       </br><img  src="<?php echo Url::base() ?>/images/ins2.jpg" width="250" height="60" />
    </li>
    
    <li>गलत प्रतिक्रिया के लिए कोई नकारात्मक अंक नहीं होगा।</li>
    <li>परीक्षा के लिए उम्मीदवारी अनंतिम है. अंतिम चयन लिखित परीक्षा में प्रदर्शन, मेडिकल परीक्षा में योग्यता और मूल प्रमाणपत्रों जैसे जन्मतिथि, निवास, श्रेणी आदि के प्रमाण के सत्यापन के अधीन होगा। यदि प्रवेश प्रक्रिया के किसी भी चरण में विसंगति पाई जाती है, तो उम्मीदवार का प्रवेश शुल्क जब्त कर लिया जाएगा। उसकी सीट।</li>
    <li>परीक्षा समाप्त होने से पहले किसी भी उम्मीदवार को परीक्षा कक्ष/हॉल छोड़ने की अनुमति नहीं दी जाएगी।</li>
    <li>परीक्षा पूरी होने पर, उम्मीदवारों को पर्यवेक्षक के निर्देशों की प्रतीक्षा करनी होगी और सलाह दी जाती है कि जब तक सलाह न दी जाए तब तक वे अपनी संबंधित सीट से न उठें। उम्मीदवारों को एक समय में केवल एक ही बाहर जाने की अनुमति होगी।</li>
    <li>परीक्षण पूरा होने पर, उम्मीदवारों को ओएमआर उत्तर पुस्तिका और प्रवेश पत्र पर्यवेक्षक को सौंपना होगा और केवल टेस्ट बुकलेट अपने साथ ले जाना होगा। ऐसा करने में विफलता को अनुचित साधन अपनाना माना जाएगा और तदनुसार निपटा जाएगा।</li>
    <li>किसी भी अभ्यर्थी को कोई अनुचित साधन नहीं अपनाना चाहिए या किसी अनुचित परीक्षा पद्धति में शामिल नहीं होना चाहिए।</li>
    <li>उम्मीदवारों को सलाह दी जाती है कि वे एनटीए की वेबसाइट www.nta.ac.in पर नियमित रूप से अपडेट देखते रहें। उन्हें AISSEE-2025 के संबंध में नवीनतम अपडेट और जानकारी के लिए पंजीकृत ई-मेल पते पर अपना मेलबॉक्स और अपने पंजीकृत मोबाइल नंबर पर एसएमएस भी देखना चाहिए।</li>
    <li>उम्मीदवार सहायता के लिए अपना नाम, रोल नंबर, परीक्षा केंद्र, शहर का नाम और परीक्षा का वर्ष बताकर एनटीए को https://exams.nta.ac.in/AISSEE/ पर लिख सकते हैं या किसी भी एनटीए हेल्पडेस्क 011-40759000, 011-69227700 पर पर कॉल कर सकते हैं।</li>

                </ol>


        <table width="100%" class="hideRR" style="margin-top:0px">
            <tr>
                <td style="border: 0;" width="30%"><strong>
                        Application Number : <?= (isset($model_data[0]['appno']) && !empty($model_data[0]['appno'])) ? trim($model_data[0]['appno']) : ' ' ?><span style="padding:0px 10px">
                        </span>
                    </strong>
                </td>
                <td style="border: 0;" width="20%"><strong>
                        IP Address:<?= $CandidateIP; ?><span style="text-align:center; padding:0px 10px">
                        </span>
                    </strong>
                </td>
                <td style="border: 0;" colspan="2"><strong>
                        Date and Time: <span style="padding:0px 10px"><?php echo date('d-m-Y H:i:s') ?></span></strong>
                </td>

                <td style="border: 0;" colspan="2"><strong>
                        Page: 3 of 3</strong>
                </td>
            </tr>
        </table>

        </div>



        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
        <script>
            document.getElementById('print-btn').addEventListener('click', function() {

                window.print();

                const images = document.querySelectorAll('img.imgrr'); // Get all images on the page
                let allImagesValid = true; // Assume all images are valid initially
                images.forEach((img) => {
                    // alert(`${img.src}`);
                    if (!img.complete || img.naturalWidth === 0) {
                        // If the image is not loaded or invalid
                        allImagesValid = 123;
                    }
                });

                if (allImagesValid == 123) {
                    alert('Candidate Photo or Signature is not found, Please regenerate your Admit Card');
                    window.location.href = "index";
                    return;
                }

                var barcodeValue = document.getElementById("barcode").innerText;
                if (barcodeValue.trim() === "") {
                    alert("Barcode Section is blank!, Please regenerate your Admit Card");
                    window.location.href = "index";
                    return;
                }

                // var newQRcode = document.getElementById("newQRcode").innerText;
                // if (newQRcode == "") {
                //     alert("QRcode Section is blank!, Please regenerate your Admit Card");
                //     window.location.href = "index";
                //     return;
                // }
                var newQRcode = document.getElementById("newQRcode").innerHTML;
                if (!newQRcode.includes("<svg")) {
                    alert("QR code Section is blank! Please regenerate your Admit Card.");
                    window.location.href = "index";
                    return;
                }

                $.ajax({
                    url: "print-action",
                    method: 'POST',
                    dataType: 'json',
                    data: {},
                    success: function(response) {
                        if (response.success) {
                            console.log(response.message);
                            window.print();
                        } else {
                            console.error('Action failed:', response.message);
                            alert('Failed: ' + response.message);
                        }
                    },
                    error: function(jqXHR, textStatus, errorThrown) {
                        console.error('Error occurred:', textStatus, errorThrown);
                        alert('An unexpected error occurred. Please try again.');
                    }
                });
            });

            //    // Prevent Ctrl+P or Command+P
            //     document.addEventListener('keydown', function(event) {
            //         if ((event.ctrlKey || event.metaKey) && event.key === 'p') {
            //             event.preventDefault();
            //             return false;
            //         }
            //     });

            //     // Disable right-click menu
            //     document.addEventListener('contextmenu', function(event) {
            //         event.preventDefault();
            //         return false;
            //     });
        </script>
</body>

</html>